Update email notification preferences
PATCH
/me/notification-prefs
const url = 'https://example.com/api/me/notification-prefs';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"notification_email_enabled":true,"notification_coalesce_seconds":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/me/notification-prefs \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "notification_email_enabled": true, "notification_coalesce_seconds": 1 }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
notification_email_enabled
boolean
notification_coalesce_seconds
integer
Responses
Section titled “ Responses ”Updated preferences
Invalid body
Not authenticated
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
reconnect
True if re-linking GitHub may fix the issue
boolean